<?php
/**
 * @package   Yandex pay
 * @author    Outcode https://outcode.ru/
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
?>

<form class="com-yandexpay" action="index.php?option=com_yandexpay&controller=main" method="post" enctype="multipart/form-data" name="adminForm" id="adminForm">
  <input type="hidden" name="task" value="" />
  <?php echo JHtml::_('form.token');?>
  
  <fieldset class="form-wrapper" id="edit-main">
    <span class="fieldset-legend"><?=JText::_("COM_YANDEXPAY_TXT_1")?></span>
    <div class="fieldset-wrapper">
      <div class="form-item form-type-textfield form-item-shop-name">    
        <label for="edit-shop-name"><?=JText::_("COM_YANDEXPAY_TXT_2")?></label>
        <input type="text" id="edit-shop-name" name="shop_name" value="<?=$this->shop_name?>" size="60" maxlength="128" class="form-text">
      </div>
      <div class="form-item form-type-textfield form-item-domains">
        <label for="edit-domains"><?=JText::_("COM_YANDEXPAY_TXT_3")?></label>
        <input type="text" id="edit-domains" name="domains" value="<?=$this->domains?>" size="60" maxlength="128" class="form-text">
      </div>
      <div class="form-item form-type-textfield form-item-callback-url">
        <label for="edit-callback-url"><?=JText::_("COM_YANDEXPAY_TXT_4")?></label>
        <input type="text" id="edit-callback-url" name="callback_url" value="<?=$this->callback_url?>" size="60" maxlength="128" class="form-text">
      </div>
      <div class="form-item form-type-textfield form-item-merchant-id">
        <label for="edit-merchant-id"><?=JText::_("COM_YANDEXPAY_TXT_5")?></label>
        <input type="text" id="edit-merchant-id" name="merchant_id" value="<?=$this->merchant_id?>" size="60" maxlength="128" class="form-text">
      </div>      
      <div class="form-item form-type-textfield form-item-merchant-id">
        <label for="edit-key-api"><?=JText::_("COM_YANDEXPAY_TXT_35")?></label>
        <input type="text" id="edit-key-api" name="key_api" value="<?=$this->key_api?>" size="60" maxlength="128" class="form-text">
      </div>      
      <div class="form-item form-type-select form-item-btn-color">
        <label for="edit-working-mode"><?=JText::_("COM_YANDEXPAY_TXT_6")?></label>
        <select id="edit-working-mode" name="working_mode" class="form-select">
          <option value="test" <?php if($this->working_mode == "test"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXPAY_TXT_33")?></option>
          <option value="prod" <?php if($this->working_mode == "prod"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXPAY_TXT_34")?></option>
        </select>
      </div>
    </div>
  </fieldset>

  <fieldset class="form-wrapper" id="edit-btn-view">
    <span class="fieldset-legend"><?=JText::_("COM_YANDEXPAY_TXT_7")?></span>
    <div class="fieldset-wrapper">
      <div class="form-item form-type-checkbox form-item-btn-view-product-card">
        <input type="checkbox" id="edit-btn-view-product-card" name="btn_view_product_card" value="1" <?php if($this->btn_view_product_card == 1): ?>checked="checked"<?php endif; ?> class="form-checkbox">  <label class="option" for="edit-btn-view-product-card"><?=JText::_("COM_YANDEXPAY_TXT_8")?></label>
      </div>
      <div class="form-item form-type-checkbox form-item-btn-view-cart">
        <input type="checkbox" id="edit-btn-view-cart" name="btn_view_cart" value="1" <?php if($this->btn_view_cart == 1): ?>checked="checked"<?php endif; ?> class="form-checkbox">  <label class="option" for="edit-btn-view-cart"><?=JText::_("COM_YANDEXPAY_TXT_9")?></label>
      </div>
    </div>
  </fieldset>

  <fieldset class="form-wrapper" id="edit-btn-style">
    <span class="fieldset-legend"><?=JText::_("COM_YANDEXPAY_TXT_11")?></span>
    <div class="fieldset-wrapper">
      <div class="form-item form-type-select form-item-btn-color">
        <label for="edit-btn-color"><?=JText::_("COM_YANDEXPAY_TXT_12")?></label>
        <select id="edit-btn-color" name="btn_color" class="form-select">
          <option value="White" <?php if($this->btn_color == "White"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXPAY_TXT_13")?></option>
          <option value="WhiteOutlined" <?php if($this->btn_color == "WhiteOutlined"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXPAY_TXT_14")?></option>
          <option value="Black" <?php if($this->btn_color == "Black"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXPAY_TXT_15")?></option>
        </select>
      </div>
      <div class="form-item form-type-select form-item-btn-width">
        <label for="edit-btn-width"><?=JText::_("COM_YANDEXPAY_TXT_16")?></label>
        <select id="edit-btn-width" name="btn_width" class="form-select">
          <option value="Auto" <?php if($this->btn_width == "Auto"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXPAY_TXT_17")?></option>
          <option value="Max" <?php if($this->btn_width == "Max"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXPAY_TXT_18")?></option>
        </select>
      </div>
      <div class="form-item form-type-textfield form-item-btn-class">
        <label for="edit-btn-class"><?=JText::_("COM_YANDEXPAY_TXT_19")?></label>
        <input type="text" id="edit-btn-class" name="btn_class" value="<?=$this->btn_class?>" size="60" maxlength="128" class="form-text">
      </div>
      <div id="edit-btn-style-margin" class="wrapper"><b><?=JText::_("COM_YANDEXPAY_TXT_20")?></b>
        <div class="form-item form-type-textfield form-item-btn-margin-top">
          <label for="edit-btn-margin-top"><?=JText::_("COM_YANDEXPAY_TXT_21")?></label>
          <input type="text" id="edit-btn-margin-top" name="btn_margin_top" value="<?=$this->btn_margin_top?>" size="60" maxlength="128" class="form-text">
        </div>
        <div class="form-item form-type-textfield form-item-btn-margin-right">
          <label for="edit-btn-margin-right"><?=JText::_("COM_YANDEXPAY_TXT_22")?></label>
          <input type="text" id="edit-btn-margin-right" name="btn_margin_right" value="<?=$this->btn_margin_right?>" size="60" maxlength="128" class="form-text">
        </div>
        <div class="form-item form-type-textfield form-item-btn-margin-bottom">
          <label for="edit-btn-margin-bottom"><?=JText::_("COM_YANDEXPAY_TXT_23")?></label>
          <input type="text" id="edit-btn-margin-bottom" name="btn_margin_bottom" value="<?=$this->btn_margin_bottom?>" size="60" maxlength="128" class="form-text">
        </div>
        <div class="form-item form-type-textfield form-item-btn-margin-left">
          <label for="edit-btn-margin-left"><?=JText::_("COM_YANDEXPAY_TXT_24")?></label>
          <input type="text" id="edit-btn-margin-left" name="btn_margin_left" value="<?=$this->btn_margin_left?>" size="60" maxlength="128" class="form-text">
        </div>
      </div>
    </div>
  </fieldset>

  <fieldset class="form-wrapper" id="edit-delivery">
    <span class="fieldset-legend"><?=JText::_("COM_YANDEXPAY_TXT_25")?></span>

    <div class="fieldset-wrapper">
    <div class="text"><?=JText::_("COM_YANDEXPAY_TXT_26")?></div>
      <div class="form-item form-type-textfield form-item-delivery-name">
        <label for="edit-delivery-name"><?=JText::_("COM_YANDEXPAY_TXT_27")?></label>
        <input type="text" id="edit-delivery-name" name="delivery_name" value="<?=$this->delivery_name?>" size="60" maxlength="128" class="form-text">
      </div>
      <div class="form-item form-type-textfield form-item-delivery-amount">
        <label for="edit-delivery-amount"><?=JText::_("COM_YANDEXPAY_TXT_28")?></label>
        <input type="text" id="edit-delivery-amount" name="delivery_amount" value="<?=$this->delivery_amount?>" size="60" maxlength="128" class="form-text">
      </div>
      <div class="form-item form-type-textfield form-item-delivery-date">
        <label for="edit-delivery-date"><?=JText::_("COM_YANDEXPAY_TXT_29")?></label>
        <input type="text" id="edit-delivery-date" name="delivery_date" value="<?=$this->delivery_date?>" size="60" maxlength="128" class="form-text">
        <div class="description"><?=JText::_("COM_YANDEXPAY_TXT_30")?></div>
      </div>
    </div>
  </fieldset>

  <fieldset class="form-wrapper" id="edit-fns-style">
    <span class="fieldset-legend"><?=JText::_("COM_YANDEXPAY_FNS")?></span>
    <div class="fieldset-wrapper">
    
      <div class="form-item form-type-select">
        <label for="edit-fns-active"><?=JText::_("COM_YANDEXPAY_ACTIVE")?></label>
        <select id="edit-fns-active" name="fns_active" class="form-select">
          <option value="no" <?php if($this->fns_active == "no"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXPAY_ACTIVE_NO")?></option>
          <option value="yes" <?php if($this->fns_active == "yes"): ?>selected="selected"<?php endif; ?>><?=JText::_("COM_YANDEXPAY_ACTIVE_YES")?></option>
        </select>
      </div>    
    
      <div class="form-item form-type-textfield">
        <label for="edit-fns-title"><?=JText::_("COM_YANDEXPAY_TXT_100")?></label>
        <input type="text" id="edit-fns-title" name="fns_title" value="<?=$this->fns_title?>" size="60" maxlength="128" class="form-text">
      </div>
    
      <div class="form-item form-type-select">
        <label for="edit-fns-tax"><?=JText::_("COM_YANDEXPAY_TXT_101")?></label>
        <select id="edit-fns-tax" name="fns_tax" class="form-select">
          <option value="-" >-</option>
          <?php foreach($this->fns_tax_list as $key => $val):?>
            <option value="<?=$key?>" <?php if($this->fns_tax == $key): ?>selected="selected"<?php endif; ?>><?=JText::_($val)?></option>          
          <?php endforeach; ?>        
        </select>
      </div>
    
      <div class="form-item form-type-select">
        <label for="edit-fns-measure"><?=JText::_("COM_YANDEXPAY_TXT_102")?></label>
        <select id="edit-fns-measure" name="fns_measure" class="form-select">
          <option value="-" <?php if(!is_numeric($this->fns_measure)): ?>selected="selected"<?php endif; ?>>-</option>
          <?php foreach($this->fns_measure_list as $key => $val):?>
            <option value="<?=$key?>" <?php if(is_numeric($this->fns_measure) && $this->fns_measure == $key): ?>selected="selected"<?php endif; ?>><?=JText::_($val)?></option>          
          <?php endforeach; ?>        
        </select>
      </div>
    
    
      <div class="form-item form-type-select">
        <label for="edit-fns-paymentMethodType"><?=JText::_("COM_YANDEXPAY_TXT_103")?></label>
        <select id="edit-fns-paymentMethodType" name="fns_paymentMethodType" class="form-select">
          <option value="-" >-</option>
          <?php foreach($this->fns_paymentMethodType_list as $key => $val):?>
            <option value="<?=$key?>" <?php if($this->fns_paymentMethodType == $key): ?>selected="selected"<?php endif; ?>><?=JText::_($val)?></option>          
          <?php endforeach; ?>        
        </select>
      </div>
    
      <div class="form-item form-type-select">
        <label for="edit-fns-paymentSubjectType"><?=JText::_("COM_YANDEXPAY_TXT_104")?></label>
        <select id="edit-fns-paymentSubjectType" name="fns_paymentSubjectType" class="form-select">
          <option value="-" >-</option>
          <?php foreach($this->fns_paymentSubjectType_list as $key => $val):?>
            <option value="<?=$key?>" <?php if($this->fns_paymentSubjectType == $key): ?>selected="selected"<?php endif; ?>><?=JText::_($val)?></option>          
          <?php endforeach; ?>        
        </select>
      </div>
    
      <div class="form-item form-type-textfield">
        <label for="edit-fns-excise"><?=JText::_("COM_YANDEXPAY_TXT_105")?></label>
        <input type="text" id="edit-fns-excise" name="fns_excise" value="<?=$this->fns_excise?>" size="60" maxlength="128" class="form-text">
      </div>
    
      <div class="form-item form-type-textfield">
        <label for="edit-fns-productCode"><?=JText::_("COM_YANDEXPAY_TXT_106")?></label>
        <input type="text" id="edit-fns-productCode" name="fns_productCode" value="<?=$this->fns_productCode?>" size="60" maxlength="128" class="form-text">
      </div>
    
      <div class="form-item form-type-textfield">
        <label for="edit-fns-markQuantity1"><?=JText::_("COM_YANDEXPAY_TXT_107")?></label>
        <input type="text" id="edit-fns-markQuantity1" name="fns_markQuantity_1" value="<?=$this->fns_markQuantity_1?>" size="60" maxlength="128" class="form-text">
      </div>
    
      <div class="form-item form-type-textfield">
        <label for="edit-fns-markQuantity2"><?=JText::_("COM_YANDEXPAY_TXT_1071")?></label>
        <input type="text" id="edit-fns-markQuantity2" name="fns_markQuantity_2" value="<?=$this->fns_markQuantity_2?>" size="60" maxlength="128" class="form-text">
      </div>
      <i class="empty"></i>
      <i class="empty"></i>
      
      <b class="b_title"><?=JText::_("COM_YANDEXPAY_TXT_108")?></b> 
      <i class="empty"></i>
      
      <div class="form-item form-type-textfield">
        <label for="edit-fns-supplier-name"><?=JText::_("COM_YANDEXPAY_TXT_109")?></label>
        <input type="text" id="edit-fns-supplier-name" name="fns_supplier_name" value="<?=$this->fns_supplier_name?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="form-item form-type-textfield">
        <label for="edit-fns-supplier-inn"><?=JText::_("COM_YANDEXPAY_TXT_110")?></label>
        <input type="text" id="edit-fns-supplier-inn" name="fns_supplier_inn" value="<?=$this->fns_supplier_inn?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="form-item form-type-textfield">
        <label for="edit-fns-supplier-phones"><?=JText::_("COM_YANDEXPAY_TXT_111")?></label>
        <input type="text" id="edit-fns-supplier-phones" name="fns_supplier_phones" value="<?=$this->fns_supplier_phones?>" size="60" maxlength="128" class="form-text">
      </div>
      <i class="empty"></i>
      <i class="empty"></i>
      
      <b><?=JText::_("COM_YANDEXPAY_TXT_112")?></b>  
      
      <i class="empty"></i>

      <div class="form-item form-type-select">
        <label for="edit-fns-agent-typ"><?=JText::_("COM_YANDEXPAY_TXT_113")?></label>
        <select id="edit-fns-agent-typ" name="fns_agent_type" class="form-select">
          <option value="-" >-</option>
          <?php foreach($this->fns_agent_type_list as $key => $val):?>
            <option value="<?=$key?>" <?php if($this->fns_agent_type == $key): ?>selected="selected"<?php endif; ?>><?=JText::_($val)?></option>          
          <?php endforeach; ?>        
        </select>
      </div>
      
      <div class="form-item form-type-textfield">
        <label for="edit-fns-agent-operation"><?=JText::_("COM_YANDEXPAY_TXT_114")?></label>
        <input type="text" id="edit-fns-agent-operation" name="fns_agent_operation" value="<?=$this->fns_agent_operation?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="form-item form-type-textfield">
        <label for="edit-fns-agent-phones"><?=JText::_("COM_YANDEXPAY_TXT_115")?></label>
        <input type="text" id="edit-fns-agent-phones" name="fns_agent_phones" value="<?=$this->fns_agent_phones?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="form-item form-type-textfield">
        <label for="edit-fns-transferOperator-name"><?=JText::_("COM_YANDEXPAY_TXT_116")?></label>
        <input type="text" id="edit-fns-transferOperator-name" name="fns_agent_transferOperator_name" value="<?=$this->fns_agent_transferOperator_name?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="form-item form-type-textfield">
        <label for="edit-fns-transferOperator-address"><?=JText::_("COM_YANDEXPAY_TXT_117")?></label>
        <input type="text" id="edit-fns-transferOperator-address" name="fns_agent_transferOperator_address" value="<?=$this->fns_agent_transferOperator_address?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="form-item form-type-textfield">
        <label for="edit-fns-transferOperator-inn"><?=JText::_("COM_YANDEXPAY_TXT_118")?></label>
        <input type="text" id="edit-fns-transferOperator-inn" name="fns_agent_transferOperator_inn" value="<?=$this->fns_agent_transferOperator_inn?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="form-item form-type-textfield">
        <label for="edit-fns-transferOperator-phones"><?=JText::_("COM_YANDEXPAY_TXT_119")?></label>
        <input type="text" id="edit-fns-transferOperator-phones" name="fns_agent_transferOperator_phones" value="<?=$this->fns_agent_transferOperator_phones?>" size="60" maxlength="128" class="form-text">
      </div>
      
      <div class="form-item form-type-textfield">
        <label for="edit-fns-paymentsOperator-phones"><?=JText::_("COM_YANDEXPAY_TXT_120")?></label>
        <input type="text" id="edit-fns-paymentsOperator-phones" name="fns_agent_paymentsOperator_phones" value="<?=$this->fns_agent_paymentsOperator_phones?>" size="60" maxlength="128" class="form-text">
      </div>


      </div>
    </div>
  </fieldset>

</form>

<script src="/administrator/components/com_yandexpay/js/settings.js"></script>