<?php
/**
 * @package   Yandex pay
 * @author    Outcode https://outcode.ru/
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

?>

<form class="com-yandexpay" action="index.php?option=com_yandexpay&controller=refund" method="post" enctype="multipart/form-data" name="adminForm" id="adminForm">

  <fieldset class="form-wrapper" id="edit-main">
    <span class="fieldset-legend"><?=JText::_("COM_YANDEXPAY_TXT_36")?></span>
    <div class="fieldset-wrapper">
      <div class="form-item form-type-select form-item-btn-color">
        <select id="edit-order-list" name="order_list" class="form-select">
          <option value="0" >-</option>
          <?php foreach($this->orders as $order):?>
            <?php $oid = explode('_', $order->yp_order_id); ?>
            <option value="<?=$order->yp_order_id?>" >№ <?=$oid[0]?></option>          
          <?php endforeach; ?>        
        </select>
      </div>
    </div>
  </fieldset>

  <fieldset class="form-wrapper">
    <span class="fieldset-legend"><?=JText::_("COM_YANDEXPAY_TXT_37")?></span>
    <div class="fieldset-wrapper">
      <div class="items details"><!-- JS content --></div>      
      
      <div class="action">      
        <div class="btn yp-btn-refund"><?=JText::_("COM_YANDEXPAY_TXT_43")?></div>                
      </div>
      <div class="info yp-inf-refund"><!-- JS content --></div>        
      
    </div>
  </fieldset>

  <input type="hidden" name="task" value="" />
  <?php echo JHtml::_('form.token');?>

  <div class="item tmp">
    <div class="yp-name"></div>
    <div class="dtl">

      <div class="yp-qty">
        <span><?=JText::_("COM_YANDEXPAY_TXT_38")?></span>
        <input type="text" value="0">
      </div> 
      
      <div class="yp-unitPrice">
        <span><?=JText::_("COM_YANDEXPAY_TXT_39")?></span>
        <input type="text" value="0">
      </div> 
      
      <div class="yp-discountedUnitPrice">
        <span><?=JText::_("COM_YANDEXPAY_TXT_40")?></span>
        <input type="text" value="0">
      </div>
      
      <div class="yp-subtotal">
        <span><?=JText::_("COM_YANDEXPAY_TXT_41")?></span>
        <input type="text" value="0">
      </div>
      
      <div class="yp-total">
        <span><?=JText::_("COM_YANDEXPAY_TXT_42")?></span>
        <input type="text" value="0">
      </div>
      
      <div class="yp-shipping">
        <span><?=JText::_("COM_YANDEXPAY_TXT_28")?></span>
        <input type="text" value="0">
      </div>
      
    </div>
  </div>    
</form>

<script>
  var txtDelivery = '<?=JText::_("COM_YANDEXPAY_TXT_25")?>'; 
  var refundSuccessfully = '<?=JText::_("COM_YANDEXPAY_TXT_44")?>'; 
</script>

<script src="/administrator/components/com_yandexpay/js/yp-admin.js"></script>